IndexerTimestampReadonlyProperties:
  type: object
  properties:
    id:
      type: integer
    index:
      type: string
      description: The base name of the index (products, categories)
    stage:
      type: string
      description: The branch where indexing takes place
    index_hash:
      type: string
      description: Index hash
    is_current_index:
      type: boolean
      description: This setting is for the current hash
    is_current_stage:
      type: boolean
      description: This setting is for the current APP_STAGE
    is_current:
      type: boolean
      description: This setting is for current settings
  required:
    - id
    - index
    - stage
    - index_hash
    - is_current_index
    - is_current_stage
    - is_current

IndexerTimestampFillableProperties:
  type: object
  properties:
    last_schedule:
      type: string
      format: date-time
      description: Last schedule time

IndexerTimestampFillableRequiredProperties:
  required:
    - last_schedule

IndexerTimestamp:
  allOf:
    - $ref: '#/IndexerTimestampReadonlyProperties'
    - $ref: '#/IndexerTimestampFillableProperties'
    - $ref: '#/IndexerTimestampFillableRequiredProperties'

SearchIndexerTimestampsRequest:
  type: object
  properties:
    sort:
      $ref: '../../common_schemas.yaml#/RequestBodySort'
    filter:
      type: object
    include:
      $ref: '../../common_schemas.yaml#/RequestBodyInclude'
    pagination:
      $ref: '../../common_schemas.yaml#/RequestBodyPagination'

SearchIndexerTimestampsResponse:
  type: object
  properties:
    data:
      type: array
      items:
        $ref: '#/IndexerTimestamp'
    meta:
      type: object
      properties:
        pagination:
          $ref: '../../common_schemas.yaml#/ResponseBodyPagination'
  required:
    - data
    - meta

PatchIndexerTimestampRequest:
  allOf:
    - $ref: '#/IndexerTimestampFillableProperties'

IndexerTimestampResponse:
  type: object
  properties:
    data:
      $ref: '#/IndexerTimestamp'
    meta:
      type: object
  required:
    - data
